/******************************************************************
Theme Name: CVI 2021
Theme URI: https://cvifuneralsupply.com
Author: Pilot Digital
Author URI: http://pilotdigital.com
Description: first aerial circumnavigation of the world
Version: 1.0.0
Template: chicago-1924
License: GNU General Public License v2 or later
License URI: LICENSE
Text Domain: chicago-1924
Tags: custom-background, custom-logo, custom-menu, featured-images, threaded-comments, translation-ready

Chicago 1924 is based on Underscores https://underscores.me/, (C) 2012-2017 Automattic, Inc.
Underscores is distributed under the terms of the GNU GPL v2 or later.

Stylesheet: WooCommerce Custom Styles

******************************************************************/

/* Product Archives -------------------------- */

.archive.woocommerce .site-main {
  display: -ms-grid;
  -ms-grid-columns: 1fr 1.5fr 1.5fr;
  -ms-grid-rows: auto auto auto auto auto auto 1fr;
  display: grid;
  grid-template-columns: 1fr 1.5fr 1.5fr;
  gap: 0 2rem;
  min-height: 0;
  min-width: 0;
}

.archive.woocommerce .woocommerce-products-header {
  -ms-grid-column-span: 3;
  -ms-grid-column: 1;
  grid-column: 1 / -1;
  width: 100vw;
  position: relative;
  left: 50%;
  right: 50%;
  margin-left: -50vw;
  margin-right: -50vw;
  margin-bottom: 2rem;
}

.archive.woocommerce .woocommerce-breadcrumb {
  -ms-grid-column-span: 1;
}

.archive.woocommerce .pf-container {
  -ms-grid-column-span: 2;
	grid-column:1;
	grid-row:4;
}

.archive.woocommerce .woocommerce-breadcrumb,
.archive.woocommerce .pf-container {
  -ms-grid-column: 1;
  grid-column: 1;
}

.archive.woocommerce div.columns-3 {
  -ms-grid-row-span: 2;
  -ms-grid-column: 2;
  grid-column: 2 / span 2;
  
  grid-row:4;
}
.archive.woocommerce div.columns-3 > .products.columns-3 {
	margin:0;
	padding:0;
}


.archive.woocommerce .woocommerce-products-header {
  -ms-grid-row: 1;
  grid-row: 1;
}

.archive.woocommerce .woocommerce-breadcrumb,
.archive.woocommerce .woocommerce-result-count,
.archive.woocommerce .woocommerce-ordering {
  -ms-grid-row: 1;
  grid-row: 2;
}

.archive.woocommerce .woocommerce-notices-wrapper,
.archive.woocommerce .filters {
  -ms-grid-row: 3;
  grid-row: 3;
}

.archive.woocommerce .woocommerce-ordering {
  -ms-grid-column-align: end;
  justify-self: end;
}

.woocommerce-breadcrumb,
.woocommerce-result-count,
.woocommerce-product-attributes-item__label,
.woocommerce-product-attributes-item__value p,
.woocommerce-ordering select,
.single-product .product_meta,
.pf-container h3 {
  font-size: .9rem;
}

.woocommerce-ordering,
p.woocommerce-result-count {
  margin-bottom: .75rem;
}

ul.products li.product {
  position: relative;
}

ul.products li.product img {
  border: 1px solid var(--neutral-500);
  border-radius: 4px;
}

ul.products li.product .woocommerce-LoopProduct-link,
.pf-container a,
.single-product .woocommerce-product-attributes-item__value a,
.single-product .product_meta a  {
  text-decoration: none;
}

.pf-container a:hover {
  text-decoration: underline;
}

ul.products li.product .woocommerce-LoopProduct-link:hover h2 {
  color: var(--primary);
}

ul.products li.product .woocommerce-loop-product__title {
  font-size: 1.1rem;
  padding: 0 .75rem;
}

ul.products li.product .woocommerce-LoopProduct-link span {
  background: var(--neutral-200);
  border-radius: 8px;
  box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .1);
  color: var(--primary);
  cursor: pointer;
  display: block;
  font-size: .7rem;
  font-weight: 700;
  letter-spacing: .01rem;
  padding: .5rem .8rem;
  text-align: center;
  text-transform: uppercase;
  width: max-content;
  position: absolute;
  top: .6rem;
  left: .6rem;
}

ul.products li.product.product_cat-burial-vaults.has-post-thumbnail .woocommerce-LoopProduct-link span {
	top:1.5rem;
	
}

#catalogSearch{
	grid-row:3;
	grid-column: 2 /span 3;
	    display: flex;
    flex-flow: row nowrap;
    gap: 1rem;
	
}
#catalogSearch label{
  font-weight: bold;
	flex: 1 1 80%;
}
#catalogSearch label input{
  display: block;
	width:100%;
  margin-top: 0.25rem;
}

#catalogSearch  button{
  align-self: flex-end;
	flex: 1 1 20%;
	margin:0;
}


.pf-container h2 {
  font-size: 1.1rem;
  font-weight: 700;
}

.pf-container h3 {
  border-top: 1px solid var(--neutral-500);
  padding-top: 1rem;
}


.pf-container h3.ftoggle{
	cursor:pointer;
  position: relative;
}

.pf-container h3.ftoggle >span.term-list{
  display: block;
	font-size: .8rem;
	font-style: italic;
	color:#000;
	font-weight:300;
	    text-transform: none;
	text-decoration:none;
  margin-top: 0.3rem;
}

.pf-container h3.ftoggle:after{
	font-family:"Material Icons";
	content:'\e5cf';
	font-weight:600;
	position: absolute;
  top: 1rem; 
  right: 0.5rem;
}

.pf-container h3.ftoggle.open:after{
	content:'\e5ce';	
}

.pf-container ul {
  padding-left: 0;
}

.pf-container a,
.pf-container ul li label {
  font-size: .8rem;
}

.pf-container ul li label:hover {
  color: var(--primary);
  cursor: pointer;
}

.pf-container ul li label {
  color: var(--neutral-900);
}

.pf-container ul.filter-list {
  column-count: 2;
  column-gap: 1rem;
}

.pf-container ul.filter-list.closed {
	display:none;
	visibility:hidden;
}

.pf-container ul.filter-list > li {
  margin-bottom: .5rem;
}

.pf-container ul li {
  margin-top: 0;
}

.pf-container ul li ul > li {
  margin-bottom: .2rem;
}

button.filter-clear {
  font-size: .75rem;
  padding: .5rem .7rem;
}

@supports (display: grid) {

  ul.products {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 1.5rem;
  }

  ul.products li.product {
    margin: 0;
    width: 100% !important;
  }

  ul.products li.product img {
    object-fit: cover;
    width: 100%;
  }
}

/* Single Product ----------------------------- */

.single-product .woocommerce-breadcrumb,
.single-product div.product .related,
.single-product .site-main div.product {
  margin-top: 2rem;
}

.single-product .site-main div.product {
  display: flex;
  flex-flow: row wrap;
  margin-bottom: 4rem;
}

.single-product div.product .entry-summary {
  margin-left: 1.5rem;
  flex: 1 0 calc(50% - 1.5rem);
}

.single-product div.product .woocommerce-product-gallery {
  flex: 1 0 50%;
}

.single-product div.product .related,
.single-product .content-block {
  flex: 1 1 100%;
}

.single-product div.product .related > h2 {
  text-align: center;
}

.woocommerce-product-attributes-item__label,
.pf-container h3 {
  color: var(--primary);
  font-weight: 700;
  letter-spacing: .01rem;
  text-transform: uppercase;
}

.woocommerce-product-attributes-item__value p {
  margin: 0;
}

figure.woocommerce-product-gallery__wrapper {
  margin-top: 0;
}

.single-product div.product .woocommerce-product-gallery a.woocommerce-product-gallery__trigger {
  top: .5rem;
  right: .5rem;
  line-height: normal;
  z-index: 3;
  text-indent: -10rem;
  width: auto;
  overflow: hidden;
  display: inline-flex;
  text-decoration: none;
}

a.woocommerce-product-gallery__trigger::after {
  color: white;
  content: '\e8ff';
  font-family: 'Material Icons';
  display: block;
  text-indent: 0;
  font-size: 1.4rem;
  line-height: 1;
  text-shadow: 1px 1px 3px rgb(0 0 0 / 50%);
}

.single-product .content-block .wp-block-group {
  border-radius: 1rem;
  box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .1);
  max-width: 845px;
  margin: 3rem auto 2rem;
  padding: 1rem 2rem;
}

.single-product div.product .entry-summary > p {
  margin-top: 1rem;
}

/* Media Queries -------------------------- */

@media screen and (min-width: 1048px) {

  .pf-container > h2 {
    display: inline-block;
  }

  .pf-container button.filter-clear {
    float: right;
  }

  .pf-container > h2,
  .pf-container button.filter-clear {
    margin-top: 0;
  }
}

@media screen and (max-width: 768px) {

  @supports (display: grid) {

    ul.products {
      grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  }

  .archive.woocommerce .woocommerce-products-header,
  .archive.woocommerce .woocommerce-breadcrumb {
    margin-bottom: 1.5rem;
  }

  .archive.woocommerce .woocommerce-breadcrumb,
  .archive.woocommerce .woocommerce-notices-wrapper,
  .archive.woocommerce div.columns-3,
  .archive.woocommerce .pf-container,
  .archive.woocommerce #catalogSearch {
    -ms-grid-column-span: 3;
    -ms-grid-column: 1;
    grid-column: 1 / -1;
  }

  .archive.woocommerce .woocommerce-result-count {
    -ms-grid-column-span: 2;
    -ms-grid-column: 1;
    grid-column: 1 / span 3;
  }

  .archive.woocommerce .woocommerce-ordering {
    -ms-grid-column-span: 1;
    -ms-grid-column: 3;
    grid-column: 3;
  }

  .archive.woocommerce .woocommerce-result-count,
  .archive.woocommerce .woocommerce-ordering {
    -ms-grid-row-span: 1;
    -ms-grid-row: 3;
    grid-row: 3;
  }

  #catalogSearch {
    -ms-grid-row-span: 1;
    -ms-grid-row: 4;
    grid-row: 4;
  }

  .archive.woocommerce .pf-container {
    -ms-grid-row-span: 1;
    -ms-grid-row: 5;
    grid-row: 5;
  }

  .archive.woocommerce .woocommerce-notices-wrapper {
    -ms-grid-row-span: 1;
    -ms-grid-row: 6;
    grid-row: 6;
  }

  .archive.woocommerce div.columns-3 {
    -ms-grid-row-span: 1;
    -ms-grid-row: 7;
    grid-row: 7;
  }

  .single-product div.product .woocommerce-product-gallery,
  .single-product div.product .entry-summary {
    flex: 1 1 100%;
    margin: 0 1.5rem;
  }

  .single-product .woocommerce-breadcrumb,
  .single-product div.product .related,
  .single-product .site-main div.product,
  .single-product .content-block .wp-block-group {
    margin-top: 1rem;
  }

  .single-product .content-block .wp-block-group {
    margin-bottom: 1rem;
  }
}

@media screen and (max-width: 480px) {

  .single-product div.product .woocommerce-product-gallery,
  .single-product div.product .entry-summary {
    margin: 0;
  }
}
